export type { TypedArray, TypedArrayConstructor, NumericArray, NumberArray, NumberArray2, NumberArray3, NumberArray4, NumberArray6, NumberArray8, NumberArray9, NumberArray12, NumberArray16 } from '@math.gl/types';
export type { isTypedArray, isNumberArray, isNumericArray } from '@math.gl/types';
export { Vector2 } from "./classes/vector2.js";
export { Vector3 } from "./classes/vector3.js";
export { Vector4 } from "./classes/vector4.js";
export { Matrix3 } from "./classes/matrix3.js";
export { Matrix4 } from "./classes/matrix4.js";
export { Quaternion } from "./classes/quaternion.js";
export type { Vector2Like } from "./classes/vector2.js";
export type { Vector3Like } from "./classes/vector3.js";
export type { Vector4Like } from "./classes/vector4.js";
export type { Matrix3Like } from "./classes/matrix3.js";
export type { Matrix4Like } from "./classes/matrix4.js";
export { SphericalCoordinates } from "./classes/spherical-coordinates.js";
export { Pose } from "./classes/pose.js";
export { Euler } from "./classes/euler.js";
export * as _MathUtils from "./lib/math-utils.js";
export { assert } from "./lib/assert.js";
export { config, configure, formatValue, isArray, clone, equals, exactEquals, toRadians, toDegrees, radians, degrees, sin, cos, tan, asin, acos, atan, clamp, lerp, withEpsilon } from "./lib/common.js";
export { SphericalCoordinates as _SphericalCoordinates } from "./classes/spherical-coordinates.js";
export { Pose as _Pose } from "./classes/pose.js";
export { Euler as _Euler } from "./classes/euler.js";
/** @deprecated Use Matrix3 */
export * as mat3 from "./gl-matrix/mat3.js";
/** @deprecated Use Matrix4 */
export * as mat4 from "./gl-matrix/mat4.js";
/** @deprecated Use Quaterinion */
export * as quat from "./gl-matrix/quat.js";
/** @deprecated UseVector */
export * as vec2 from "./gl-matrix/vec2.js";
/** @deprecated Use Vector3 */
export * as vec3 from "./gl-matrix/vec3.js";
/** @deprecated Use Vector4 */
export * as vec4 from "./gl-matrix/vec4.js";
//# sourceMappingURL=index.d.ts.map